<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/ActionRestrainTarget.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d91/_action_restrain_target_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionRestrainTarget.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d91/_action_restrain_target_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d3/d30/class_action_restrain_target_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d30/class_action_restrain_target_c_b.html">ActionRestrainTargetCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/d30/class_action_restrain_target_c_b.html#a12a3c674190392d88beb4049d7296003">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d3/d30/class_action_restrain_target_c_b.html#a12a3c674190392d88beb4049d7296003">DEFAULT_RESTRAIN_TIME</a> = 2;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d3/d30/class_action_restrain_target_c_b.html#a60abbe07c57903afd28233027cff7f4d">    5</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d30/class_action_restrain_target_c_b.html#a60abbe07c57903afd28233027cff7f4d">CreateActionComponent</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <span class="keywordtype">float</span> time = <a class="code hl_variable" href="../../d3/d30/class_action_restrain_target_c_b.html#a12a3c674190392d88beb4049d7296003">DEFAULT_RESTRAIN_TIME</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.ConfigIsExisting(<span class="stringliteral">&quot;RestrainTime&quot;</span>) )</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>            time = <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.ConfigGetFloat(<span class="stringliteral">&quot;RestrainTime&quot;</span>);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.IsQuickRestrain() )</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            time = <a class="code hl_variable" href="../../d2/d68/group___emote_i_ds.html#ga692dccfb9e58a77d15b61c5be3a7bd52">DEBUG_QUICK_UNRESTRAIN_TIME</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a>(time);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>};</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d1/db1/class_action_restrain_target.html">   23</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/db1/class_action_restrain_target.html">ActionRestrainTarget</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>{   </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d1/db1/class_action_restrain_target.html#a32b83fee7aece5e1aa2ba221a094c96f">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db1/class_action_restrain_target.html#a32b83fee7aece5e1aa2ba221a094c96f">ActionRestrainTarget</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../d3/d30/class_action_restrain_target_c_b.html">ActionRestrainTargetCB</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_RESTRAINTARGET;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">PRECISE_LOW</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#restrain&quot;</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d1/db1/class_action_restrain_target.html#abbb4c8d3cf19d230c95f472818fc1853">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db1/class_action_restrain_target.html#abbb4c8d3cf19d230c95f472818fc1853">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {   </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../db/dad/class_c_c_t_man.html">CCTMan</a>(<a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d1/db1/class_action_restrain_target.html#ad919c475ee5e4f456251abfe2d41ff8d">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/db1/class_action_restrain_target.html#ad919c475ee5e4f456251abfe2d41ff8d">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">if</span> ( player.GetInstanceType() == <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6bf3172c861dd775de5c544fed868499">DayZPlayerInstanceType</a>.INSTANCETYPE_SERVER )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> other_player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(target.GetObject());</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">return</span> other_player.CanBeRestrained();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d1/db1/class_action_restrain_target.html#a078ae82cd4ee6f05c177376e32e47a07">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/db1/class_action_restrain_target.html#a078ae82cd4ee6f05c177376e32e47a07">ActionConditionContinue</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> target_player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordflow">if</span> ( target_player.IsSurrendered() || !target_player.CanBeRestrained() )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <a class="code hl_class" href="../../d3/d30/class_action_restrain_target_c_b.html">ActionRestrainTargetCB</a> callback = <a class="code hl_class" href="../../d3/d30/class_action_restrain_target_c_b.html">ActionRestrainTargetCB</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a>);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <span class="keywordflow">if</span> ( callback.<a class="code hl_function" href="../../dd/d7f/class_action_base_c_b.html#a96e00aaa938e0cf04fec36ad2effe55b">GetActionComponentProgress</a>() &gt; 0.75 &amp;&amp; !target_player.IsRestrainPrelocked() )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                target_player.SetRestrainPrelocked(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">return</span> !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a0757c5b60b56f88a05905b1b1ff72d21">IsPlayerDisconnecting</a>(target_player);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d1/db1/class_action_restrain_target.html#a09e8673750507eed55fefcf98256cb83">   78</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db1/class_action_restrain_target.html#a09e8673750507eed55fefcf98256cb83">OnStartServer</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> target_player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> ( target_player.IsSurrendered() )</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            SurrenderDataRestrain sdr = <span class="keyword">new</span> SurrenderDataRestrain;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            target_player.EndSurrenderRequest(sdr);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( target_player.IsEmotePlaying() )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            target_player.m_EmoteManager.ServerRequestEmoteCancel();</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        target_player.SetRestrainStarted(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d1/db1/class_action_restrain_target.html#acf2489bf438a132a9b5638b54661e1b4">   94</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db1/class_action_restrain_target.html#acf2489bf438a132a9b5638b54661e1b4">OnEndServer</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> target_player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">if</span> (target_player)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            target_player.SetRestrainStarted(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            target_player.SetRestrainPrelocked(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../d1/db1/class_action_restrain_target.html#a2ab00cd225c895ecbb0bce9984cc0feb">  104</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db1/class_action_restrain_target.html#a2ab00cd225c895ecbb0bce9984cc0feb">OnFinishProgressServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> target_player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> source_player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item_in_hands_target = target_player.GetHumanInventory().GetEntityInHands();</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item_in_hands_source = source_player.GetHumanInventory().GetEntityInHands();</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keywordflow">if</span> ( !item_in_hands_source )</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;Restraining target failed, nothing in hands&quot;</span>);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordtype">string</span> new_item_name = MiscGameplayFunctions.ObtainRestrainItemTargetClassname(item_in_hands_source);</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">if</span> (item_in_hands_target)</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;Restraining player with item in hands, first drop &amp; then restrain&quot;</span>);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <a class="code hl_class" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html">ChainedDropAndRestrainLambda</a> lambda2 = <span class="keyword">new</span> <a class="code hl_class" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html">ChainedDropAndRestrainLambda</a>(item_in_hands_target, item_in_hands_target.GetType(), target_player, <span class="keyword">false</span>, source_player);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            MiscGameplayFunctions.TurnItemInHandsIntoItemEx(target_player, lambda2);</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;Restraining player with empty hands&quot;</span>);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            <a class="code hl_function" href="../../dc/d91/_action_restrain_target_8c.html#a29339e9eb37778362b096e1d4d6fcd0c">RestrainTargetPlayerLambda</a> lambda = <span class="keyword">new</span> <a class="code hl_function" href="../../dc/d91/_action_restrain_target_8c.html#a29339e9eb37778362b096e1d4d6fcd0c">RestrainTargetPlayerLambda</a>(item_in_hands_source, new_item_name, target_player);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            source_player.LocalReplaceItemInHandsWithNewElsewhere(lambda);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().AddSpecialty( <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> );</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d1/db1/class_action_restrain_target.html#aed7e8854374505eb93f9401671819a39">  136</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/db1/class_action_restrain_target.html#aed7e8854374505eb93f9401671819a39">OnFinishProgressClient</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        super.OnFinishProgressClient( action_data );</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#ac2144c29cf7043ecd0831f3f43c6a973">GetAnalyticsClient</a>().<a class="code hl_function" href="../../d8/d3e/class_analytics_manager_client.html#a6ed1b56e835b8c4719c3b15d4c00541d">OnActionRestrain</a>();</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>};</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html">  144</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html">ChainedDropAndRestrainLambda</a> : <a class="code hl_class" href="../../d2/dda/class_destroy_item_in_corpses_hands_and_create_new_on_gnd_lambda.html">DestroyItemInCorpsesHandsAndCreateNewOnGndLambda</a></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>{</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#aeadde5c117105caebdcd24294b89b9a4">  146</a></span>    <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> <a class="code hl_variable" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#aeadde5c117105caebdcd24294b89b9a4">m_SourcePlayer</a>;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#a25ead90c878c5654607773083899f439">  148</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#a25ead90c878c5654607773083899f439">ChainedDropAndRestrainLambda</a> (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <span class="keywordtype">string</span> new_item_type, <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">bool</span> destroy = <span class="keyword">false</span>, <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> src_player = null)</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <a class="code hl_variable" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#aeadde5c117105caebdcd24294b89b9a4">m_SourcePlayer</a> = src_player;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#aec43c918872b231b5d3c53a904da2411">  153</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#aec43c918872b231b5d3c53a904da2411">OnSuccess</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity)</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    {</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        super.OnSuccess(new_item);</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="comment">// as soon as previous op is finish, start another one</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item_in_hands_source = <a class="code hl_variable" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#aeadde5c117105caebdcd24294b89b9a4">m_SourcePlayer</a>.GetHumanInventory().GetEntityInHands();</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keywordflow">if</span> (item_in_hands_source)</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            <span class="keywordtype">string</span> new_item_name = MiscGameplayFunctions.ObtainRestrainItemTargetClassname(item_in_hands_source);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <a class="code hl_function" href="../../dc/d91/_action_restrain_target_8c.html#a29339e9eb37778362b096e1d4d6fcd0c">RestrainTargetPlayerLambda</a> lambda = <span class="keyword">new</span> <a class="code hl_function" href="../../dc/d91/_action_restrain_target_8c.html#a29339e9eb37778362b096e1d4d6fcd0c">RestrainTargetPlayerLambda</a>(item_in_hands_source, new_item_name, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>);</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#aeadde5c117105caebdcd24294b89b9a4">m_SourcePlayer</a>)</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                <a class="code hl_variable" href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#aeadde5c117105caebdcd24294b89b9a4">m_SourcePlayer</a>.LocalReplaceItemInHandsWithNewElsewhere(lambda);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>                <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;ChainedDropAndRestrainLambda: missing source player!&quot;</span>);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        {</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;ChainedDropAndRestrainLambda: missing source item in hands!&quot;</span>);</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    }</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>}</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span><span class="keyword">class </span><a class="code hl_function" href="../../dc/d91/_action_restrain_target_8c.html#a29339e9eb37778362b096e1d4d6fcd0c">RestrainTargetPlayerLambda</a> : <a class="code hl_class" href="../../d1/de0/class_turn_item_into_item_lambda.html">TurnItemIntoItemLambda</a></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>{</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="../../dc/d91/_action_restrain_target_8c.html#af223fa7334cbd0cba046d5358ea1689e">  178</a></span>    <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> <a class="code hl_variable" href="../../dc/d91/_action_restrain_target_8c.html#af223fa7334cbd0cba046d5358ea1689e">m_TargetPlayer</a>;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno"><a class="line" href="../../dc/d91/_action_restrain_target_8c.html#a29339e9eb37778362b096e1d4d6fcd0c">  180</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d91/_action_restrain_target_8c.html#a29339e9eb37778362b096e1d4d6fcd0c">RestrainTargetPlayerLambda</a> (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <span class="keywordtype">string</span> new_item_type, <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    {</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <a class="code hl_variable" href="../../dc/d91/_action_restrain_target_8c.html#af223fa7334cbd0cba046d5358ea1689e">m_TargetPlayer</a> = player;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> targetHnd = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        targetHnd.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#af5b971f773deb968c54cfb6ca66df780">SetHands</a>(<a class="code hl_variable" href="../../dc/d91/_action_restrain_target_8c.html#af223fa7334cbd0cba046d5358ea1689e">m_TargetPlayer</a>, null);</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        OverrideNewLocation(targetHnd);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno"><a class="line" href="../../dc/d91/_action_restrain_target_8c.html#a0ace8db94c2306c900b5339f2a4eb665">  189</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de0/class_turn_item_into_item_lambda.html#a192dda71b34f6f74eca1691530f36d4f">OnSuccess</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity)</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    {</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        super.OnSuccess(new_item);</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span> </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <a class="code hl_variable" href="../../dc/d91/_action_restrain_target_8c.html#af223fa7334cbd0cba046d5358ea1689e">m_TargetPlayer</a>.SetRestrained(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <a class="code hl_variable" href="../../dc/d91/_action_restrain_target_8c.html#af223fa7334cbd0cba046d5358ea1689e">m_TargetPlayer</a>.OnItemInHandsChanged();</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    }</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>};</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span><span class="keyword">class </span>SurrenderDataRestrain <span class="keyword">extends</span> <a class="code hl_class" href="../../da/dd4/class_surrender_data.html">SurrenderData</a></div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>{</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno"><a class="line" href="../../da/dd4/class_surrender_data.html#a567346661c148cced7c9bc6de8cdf770">  200</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dd4/class_surrender_data.html#a567346661c148cced7c9bc6de8cdf770">End</a>()</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    {</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>    }</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>}</div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adb7a179f0ce9195c7dc300367bbaf51a"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a></div><div class="ttdeci">protected bool m_FullBody</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00052">ActionBase.c:52</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_restrain_target_8c_html_a29339e9eb37778362b096e1d4d6fcd0c"><div class="ttname"><a href="../../dc/d91/_action_restrain_target_8c.html#a29339e9eb37778362b096e1d4d6fcd0c">RestrainTargetPlayerLambda</a></div><div class="ttdeci">void RestrainTargetPlayerLambda(EntityAI old_item, string new_item_type, PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00180">ActionRestrainTarget.c:180</a></div></div>
<div class="ttc" id="a_action_restrain_target_8c_html_af223fa7334cbd0cba046d5358ea1689e"><div class="ttname"><a href="../../dc/d91/_action_restrain_target_8c.html#af223fa7334cbd0cba046d5358ea1689e">m_TargetPlayer</a></div><div class="ttdeci">ChainedDropAndRestrainLambda m_TargetPlayer</div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_a96e00aaa938e0cf04fec36ad2effe55b"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#a96e00aaa938e0cf04fec36ad2effe55b">ActionBaseCB::GetActionComponentProgress</a></div><div class="ttdeci">float GetActionComponentProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00101">AnimatedActionBase.c:101</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a3670327f6d411b07d3006af36d24510d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">ActionData::m_Callback</a></div><div class="ttdeci">ActionBaseCB m_Callback</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00029">ActionBase.c:29</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_c_b_html"><div class="ttname"><a href="../../d3/d30/class_action_restrain_target_c_b.html">ActionRestrainTargetCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00001">ActionRestrainTarget.c:2</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_c_b_html_a12a3c674190392d88beb4049d7296003"><div class="ttname"><a href="../../d3/d30/class_action_restrain_target_c_b.html#a12a3c674190392d88beb4049d7296003">ActionRestrainTargetCB::DEFAULT_RESTRAIN_TIME</a></div><div class="ttdeci">const float DEFAULT_RESTRAIN_TIME</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00003">ActionRestrainTarget.c:3</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_c_b_html_a60abbe07c57903afd28233027cff7f4d"><div class="ttname"><a href="../../d3/d30/class_action_restrain_target_c_b.html#a60abbe07c57903afd28233027cff7f4d">ActionRestrainTargetCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00005">ActionRestrainTarget.c:5</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_html"><div class="ttname"><a href="../../d1/db1/class_action_restrain_target.html">ActionRestrainTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00023">ActionRestrainTarget.c:24</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_html_a078ae82cd4ee6f05c177376e32e47a07"><div class="ttname"><a href="../../d1/db1/class_action_restrain_target.html#a078ae82cd4ee6f05c177376e32e47a07">ActionRestrainTarget::ActionConditionContinue</a></div><div class="ttdeci">override bool ActionConditionContinue(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00052">ActionRestrainTarget.c:52</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_html_a09e8673750507eed55fefcf98256cb83"><div class="ttname"><a href="../../d1/db1/class_action_restrain_target.html#a09e8673750507eed55fefcf98256cb83">ActionRestrainTarget::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00078">ActionRestrainTarget.c:78</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_html_a2ab00cd225c895ecbb0bce9984cc0feb"><div class="ttname"><a href="../../d1/db1/class_action_restrain_target.html#a2ab00cd225c895ecbb0bce9984cc0feb">ActionRestrainTarget::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00104">ActionRestrainTarget.c:104</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_html_a32b83fee7aece5e1aa2ba221a094c96f"><div class="ttname"><a href="../../d1/db1/class_action_restrain_target.html#a32b83fee7aece5e1aa2ba221a094c96f">ActionRestrainTarget::ActionRestrainTarget</a></div><div class="ttdeci">void ActionRestrainTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00025">ActionRestrainTarget.c:25</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_html_abbb4c8d3cf19d230c95f472818fc1853"><div class="ttname"><a href="../../d1/db1/class_action_restrain_target.html#abbb4c8d3cf19d230c95f472818fc1853">ActionRestrainTarget::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00035">ActionRestrainTarget.c:35</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_html_acf2489bf438a132a9b5638b54661e1b4"><div class="ttname"><a href="../../d1/db1/class_action_restrain_target.html#acf2489bf438a132a9b5638b54661e1b4">ActionRestrainTarget::OnEndServer</a></div><div class="ttdeci">override void OnEndServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00094">ActionRestrainTarget.c:94</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_html_ad919c475ee5e4f456251abfe2d41ff8d"><div class="ttname"><a href="../../d1/db1/class_action_restrain_target.html#ad919c475ee5e4f456251abfe2d41ff8d">ActionRestrainTarget::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00041">ActionRestrainTarget.c:41</a></div></div>
<div class="ttc" id="aclass_action_restrain_target_html_aed7e8854374505eb93f9401671819a39"><div class="ttname"><a href="../../d1/db1/class_action_restrain_target.html#aed7e8854374505eb93f9401671819a39">ActionRestrainTarget::OnFinishProgressClient</a></div><div class="ttdeci">override void OnFinishProgressClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00136">ActionRestrainTarget.c:136</a></div></div>
<div class="ttc" id="aclass_analytics_manager_client_html_a6ed1b56e835b8c4719c3b15d4c00541d"><div class="ttname"><a href="../../d8/d3e/class_analytics_manager_client.html#a6ed1b56e835b8c4719c3b15d4c00541d">AnalyticsManagerClient::OnActionRestrain</a></div><div class="ttdeci">void OnActionRestrain()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d00/_analytics_manager_client_8c_source.html#l00061">AnalyticsManagerClient.c:61</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_time_html"><div class="ttname"><a href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/daa/_c_a_continuous_time_8c_source.html#l00001">CAContinuousTime.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_man_html"><div class="ttname"><a href="../../db/dad/class_c_c_t_man.html">CCTMan</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d3c/_c_c_t_man_8c_source.html#l00001">CCTMan.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_ac2144c29cf7043ecd0831f3f43c6a973"><div class="ttname"><a href="../../d2/de6/class_c_game.html#ac2144c29cf7043ecd0831f3f43c6a973">CGame::GetAnalyticsClient</a></div><div class="ttdeci">AnalyticsManagerClient GetAnalyticsClient()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01372">Game.c:1372</a></div></div>
<div class="ttc" id="aclass_c_game_html_aedfacca42304fed9eff41cbb197f73a7"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">CGame::GetMission</a></div><div class="ttdeci">proto native Mission GetMission()</div></div>
<div class="ttc" id="aclass_chained_drop_and_restrain_lambda_html"><div class="ttname"><a href="../../dd/d37/class_chained_drop_and_restrain_lambda.html">ChainedDropAndRestrainLambda</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00144">ActionRestrainTarget.c:145</a></div></div>
<div class="ttc" id="aclass_chained_drop_and_restrain_lambda_html_a25ead90c878c5654607773083899f439"><div class="ttname"><a href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#a25ead90c878c5654607773083899f439">ChainedDropAndRestrainLambda::ChainedDropAndRestrainLambda</a></div><div class="ttdeci">void ChainedDropAndRestrainLambda(EntityAI old_item, string new_item_type, PlayerBase player, bool destroy=false, PlayerBase src_player=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00148">ActionRestrainTarget.c:148</a></div></div>
<div class="ttc" id="aclass_chained_drop_and_restrain_lambda_html_aeadde5c117105caebdcd24294b89b9a4"><div class="ttname"><a href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#aeadde5c117105caebdcd24294b89b9a4">ChainedDropAndRestrainLambda::m_SourcePlayer</a></div><div class="ttdeci">PlayerBase m_SourcePlayer</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00146">ActionRestrainTarget.c:146</a></div></div>
<div class="ttc" id="aclass_chained_drop_and_restrain_lambda_html_aec43c918872b231b5d3c53a904da2411"><div class="ttname"><a href="../../dd/d37/class_chained_drop_and_restrain_lambda.html#aec43c918872b231b5d3c53a904da2411">ChainedDropAndRestrainLambda::OnSuccess</a></div><div class="ttdeci">override void OnSuccess(EntityAI entity)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00153">ActionRestrainTarget.c:153</a></div></div>
<div class="ttc" id="aclass_destroy_item_in_corpses_hands_and_create_new_on_gnd_lambda_html"><div class="ttname"><a href="../../d2/dda/class_destroy_item_in_corpses_hands_and_create_new_on_gnd_lambda.html">DestroyItemInCorpsesHandsAndCreateNewOnGndLambda</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l01571">MiscGameplayFunctions.c:1572</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_af5b971f773deb968c54cfb6ca66df780"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#af5b971f773deb968c54cfb6ca66df780">InventoryLocation::SetHands</a></div><div class="ttdeci">proto native void SetHands(notnull EntityAI parent, EntityAI e)</div><div class="ttdoc">sets current inventory location type to Hands</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_mission_html_a0757c5b60b56f88a05905b1b1ff72d21"><div class="ttname"><a href="../../db/dad/class_mission.html#a0757c5b60b56f88a05905b1b1ff72d21">Mission::IsPlayerDisconnecting</a></div><div class="ttdeci">bool IsPlayerDisconnecting(Man player)</div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_surrender_data_html"><div class="ttname"><a href="../../da/dd4/class_surrender_data.html">SurrenderData</a></div><div class="ttdoc">Deprecated.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d13/_emote_manager_8c_source.html#l01075">EmoteManager.c:1076</a></div></div>
<div class="ttc" id="aclass_surrender_data_html_a567346661c148cced7c9bc6de8cdf770"><div class="ttname"><a href="../../da/dd4/class_surrender_data.html#a567346661c148cced7c9bc6de8cdf770">SurrenderData::End</a></div><div class="ttdeci">override void End()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d91/_action_restrain_target_8c_source.html#l00200">ActionRestrainTarget.c:200</a></div></div>
<div class="ttc" id="aclass_turn_item_into_item_lambda_html"><div class="ttname"><a href="../../d1/de0/class_turn_item_into_item_lambda.html">TurnItemIntoItemLambda</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00091">MiscGameplayFunctions.c:92</a></div></div>
<div class="ttc" id="aclass_turn_item_into_item_lambda_html_a192dda71b34f6f74eca1691530f36d4f"><div class="ttname"><a href="../../d1/de0/class_turn_item_into_item_lambda.html#a192dda71b34f6f74eca1691530f36d4f">TurnItemIntoItemLambda::OnSuccess</a></div><div class="ttdeci">override void OnSuccess(EntityAI new_item)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00093">MiscGameplayFunctions.c:93</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00114">ActionConstants.c:115</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_aca0b0ad8f2753c2d1ba69ca1cf7baf55"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">UASoftSkillsWeight::PRECISE_LOW</a></div><div class="ttdeci">const float PRECISE_LOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00119">ActionConstants.c:119</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6bf3172c861dd775de5c544fed868499"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6bf3172c861dd775de5c544fed868499">DayZPlayerInstanceType</a></div><div class="ttdeci">DayZPlayerInstanceType</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00988">dayzplayer.c:989</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_html_ga786b160dafbe15abb829786ba345cb15"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a></div><div class="ttdeci">void Error(string err)</div><div class="ttdoc">Messagebox with error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00090">EnDebug.c:90</a></div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___emote_i_ds_html_ga692dccfb9e58a77d15b61c5be3a7bd52"><div class="ttname"><a href="../../d2/d68/group___emote_i_ds.html#ga692dccfb9e58a77d15b61c5be3a7bd52">DEBUG_QUICK_UNRESTRAIN_TIME</a></div><div class="ttdeci">const float DEBUG_QUICK_UNRESTRAIN_TIME</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00556">constants.c:556</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_c32df7f94f13da663005da9ea489a0b6.html">Continuous</a></li><li class="navelem"><a class="el" href="../../dc/d91/_action_restrain_target_8c.html">ActionRestrainTarget.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
